This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 888213 - event notification service: Change default sender email, should not be ovirt@redhat.com
event notification service: Change default sender email, should not be ovirt@...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-notification-service (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Ravi Nori
Ilanit Stein
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-18 05:03 EST by Tareq Alayan
Modified: 2016-02-10 14:00 EST (History)
7 users (show)

See Also:
Fixed In Version: sf6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tareq Alayan 2012-12-18 05:03:45 EST
Description of problem:
The current default email sender when the notification service is ON is ovirt@redhat.com
which is the name of the upstream.
I think it should be rhevm@redhat.com.

Version-Release number of selected component (if applicable):
rhevm-notification-service-3.1.0-33.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1. subscribe to notification service
2. kill vdsm 
3. you should receive an email that vdsm is down from ovirt@redhat.com
Comment 1 Yaniv Kaul 2012-12-18 08:44:25 EST
It should not be @redhat.com at all - but use the RHEVM's domain name.
Comment 2 Simon Grinberg 2012-12-25 10:21:19 EST
(In reply to comment #1)
> It should not be @redhat.com at all - but use the RHEVM's domain name.

Exactly, 

if not set the use rhevm@<host's domain> 

Changing summary line accordingly.
Comment 3 Ilanit Stein 2013-02-28 06:44:40 EST
On sf-8 the default sender email is rhevm@redhat.com
Comment 4 Ravi Nori 2013-02-28 07:43:41 EST
Hi Ilanit, can you share your /etc/engine/notifier/notifier.conf? or the value of MAIL_FROM in the file

Also in file /etc/sysconfig/ovirt-engine what is the value for ENGINE_FQDN in your test machine?

Thanks
Comment 5 Ilanit Stein 2013-02-28 08:04:03 EST
1. MAIL_FROM is commented, intentionally, so that the sender will be default.

2. /etc/ovirt-engine/notifier/notifier.conf: 
#
# This file holds the configuration of oVirt events notification daemon.
# The daemon consists of two major services: notification service and engine monitoring.
#

#-------------------------------------#
# Notification Service Configuration: #
#-------------------------------------#
# Interval (in seconds) between iterations of dispatching messages to subscribers. Default is 120 seconds.
INTERVAL_IN_SECONDS=2

# The SMTP mail server address. Required.
MAIL_SERVER=localhost

# The default port of non-secured SMTP server is 25, for secured (ssl enabled) 465.
#MAIL_PORT=25

# Required if SSL enabled to authenticate the user. Used also to specify 'from' user address if mail server
# supports, when MAIL_FROM is not set. Address is in RFC822 format
#MAIL_USER=

# Required to authenticate the user if mail server requires authentication or if SSL is enabled
#MAIL_PASSWORD=

# Indicates whether SSL should be used to communicate with mail server. Default is false.
#MAIL_ENABLE_SSL=true

# If set to true, sends a message in HTML format. Default is false.
#HTML_MESSAGE_FORMAT=true

# Specifies 'from' address on sent mail in RFC822 format, if supported by mail server.
#MAIL_FROM=

# Specifies 'reply-to' address on sent mail in RFC822 format.
#MAIL_REPLY_TO=

# Amount of days to keep dispatched events on history table. If not set, events remain on history table.
#DAYS_TO_KEEP_HISTORY=30

# This parameter specifies how many days of old events are processed and sent
# when the notifier starts. If set to 2, for example, the notifier will
# process and send the events of the last two days, older events will just
# be marked as processed and won't be sent. The default is 0, so no old
# messages will be sent at all during startup.
#DAYS_TO_SEND_ON_STARTUP=0

#----------------------------------#
# Engine Monitoring Configuration: #
#----------------------------------#
# Interval (in seconds) between engine server monitoring iterations. Interval is being measured from
# the time an iteration is completed. Default is 300 seconds.
ENGINE_INTERVAL_IN_SECONDS=3

# Number of retries to monitor server status per iteration. Default is 3 retries.
ENGINE_MONITOR_RETRIES=3

# Time (in seconds) to wait between retries. Default is 30 seconds.
ENGINE_TIMEOUT_IN_SECONDS=3

# If running Jboss in secure mode, should be set to true. Default is false.
#IS_HTTPS_PROTOCOL=true

# Specifies the protocol used by Jboss Configuration Connector when SSL is enabled. Default is 'TLS'.
#SSL_PROTOCOL=TLS

# If running Jboss in secure mode, and wishes to ignore SSL errors, should set to true. Default is false.
#SSL_IGNORE_CERTIFICATE_ERRORS=false

# If running Jboss in secure mode, and wishes to ignore hostname verification, should set to true. Default is false.
# If setting this property to 'true', SSL_IGNORE_CERTIFICATE_ERRORS considered to be set to 'true' as well: disabling host name
# verification means that it will not be verified against the certification, therefore certification errors are ignored.
#SSL_IGNORE_HOST_VERIFICATION=false

# Specifies whether to repeat auditing of failure messages of non-responding engine server. Default is false (meaning
# repeated failure messages will NOT be sent to the subscribers)
#REPEAT_NON_RESPONSIVE_NOTIFICATION=false

3. ENGINE_FQDN=istein-32.qa.lab.tlv.redhat.com
Comment 6 Ravi Nori 2013-02-28 13:07:38 EST
Hi Ilanit,

This is my current implementation

if MAIL_FROM is set, use it for sender address
else if ENGINE_FQDN is set, we use the domain name from engine fqdn
if ENGINE_FQDN is not set use the domain name of the local hostname

So with your settings the from address would be rhevm@qa.lab.tlv.redhat.com which gets translated by the mail server to rhevm@redhat.com. 

I think the patch is working.

I verified this by setting up a mail server with domain rnori.com and set the ENGINE_FDQN and hostname to host.bos.rnori.com. With this setting I get email notifications from rhevm@rnori.com
Comment 7 Ilanit Stein 2013-03-03 01:37:53 EST
OK, I understatnd, changing status to verified.
Comment 8 Itamar Heim 2013-06-11 04:40:07 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 04:40:07 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:40:10 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 04:47:49 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.